{ config, lib, pkgs, self, ... }:

let
  cfg = config.samfelag.modules.system.utils;
in
{
  options.samfelag.modules.system.utils = {
    enable = lib.mkEnableOption "utils";
  };
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      bc
      zip
      unzip
    ];
  };
}
